using Connected.Utilities;

namespace Connected;

public class PaletteDark : Palette
{
   public override Color Black { get; set; } = "#27272f";
   public override Color Primary { get; set; } = "#776be7";
   public override Color Info { get; set; } = "#3299ff";
   public override Color Success { get; set; } = "#0bba83";
   public override Color Warning { get; set; } = "#ffa800";
   public override Color Error { get; set; } = "#f64e62";
   public override Color Dark { get; set; } = "#27272f";
   public override Color TextPrimary { get; set; } = "rgba(255,255,255, 0.70)";
   public override Color TextSecondary { get; set; } = "rgba(255,255,255, 0.50)";
   public override Color TextDisabled { get; set; } = "rgba(255,255,255, 0.2)";
   public override Color ActionDefault { get; set; } = "#adadb1";
   public override Color ActionDisabled { get; set; } = "rgba(255,255,255, 0.26)";
   public override Color ActionDisabledBackground { get; set; } = "rgba(255,255,255, 0.12)";
   public override Color Background { get; set; } = "#32333d";
   public override Color BackgroundGrey { get; set; } = "#27272f";
   public override Color Surface { get; set; } = "#373740";
   public override Color DrawerBackground { get; set; } = "#27272f";
   public override Color DrawerText { get; set; } = "rgba(255,255,255, 0.50)";
   public override Color DrawerIcon { get; set; } = "rgba(255,255,255, 0.50)";
   public override Color AppbarBackground { get; set; } = "#27272f";
   public override Color AppbarText { get; set; } = "rgba(255,255,255, 0.70)";
   public override Color LinesDefault { get; set; } = "rgba(255,255,255, 0.12)";
   public override Color LinesInputs { get; set; } = "rgba(255,255,255, 0.3)";
   public override Color TableLines { get; set; } = "rgba(255,255,255, 0.12)";
   public override Color TableStriped { get; set; } = "rgba(255,255,255, 0.2)";
   public override Color Divider { get; set; } = "rgba(255,255,255, 0.12)";
   public override Color DividerLight { get; set; } = "rgba(255,255,255, 0.06)";
}
